%define upstream_name	 PerlIO-via-Bzip2
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	PerlIO layer for Bzip2 (de)compression
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	http://search.cpan.org/CPAN/authors/id/F/FI/FITZNER/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  bzip2-devel
BuildRequires:  perl(Compress::Bzip2)
BuildArch: noarch


%description
This module implements a PerlIO layer which will let you handle bzip2
compressed files transparently.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 371791
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 32340
- mageia rebuild
- imported package perl-PerlIO-via-Bzip2

